org.springframework.data.jdbc.repository.config

## Class MyBatisJdbcConfiguration

- java.lang.Object
- - org.springframework.data.jdbc.repository.config.AbstractJdbcConfiguration
  - - org.springframework.data.jdbc.repository.config.MyBatisJdbcConfiguration

    @Configuration(proxyBeanMethods=false)
    public class MyBatisJdbcConfiguration
    extends AbstractJdbcConfiguration

Configuration class tweaking Spring Data JDBC to use a `MyBatisDataAccessStrategy` instead of the default one.

Since:
  1.1
Author:
  Oliver Drotbohm

### Constructor Summary

Constructors
Constructor and Description
`MyBatisJdbcConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataAccessStrategy` `dataAccessStrategyBean(NamedParameterJdbcOperations operations, JdbcConverter jdbcConverter, JdbcMappingContext context, Dialect dialect)` Create a `DataAccessStrategy` for reuse in the `JdbcAggregateOperations` and the `JdbcConverter`.

### Methods inherited from class org.springframework.data.jdbc.repository.config.AbstractJdbcConfiguration

`jdbcAggregateTemplate, jdbcConverter, jdbcCustomConversions, jdbcDialect, jdbcMappingContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MyBatisJdbcConfiguration

    public MyBatisJdbcConfiguration()

### Method Detail

#### dataAccessStrategyBean

    @Bean
    public DataAccessStrategy dataAccessStrategyBean(NamedParameterJdbcOperations operations,
                                                           JdbcConverter jdbcConverter,
                                                           JdbcMappingContext context,
                                                           Dialect dialect)

Description copied from class: `AbstractJdbcConfiguration`
Create a `DataAccessStrategy` for reuse in the `JdbcAggregateOperations` and the `JdbcConverter`. Override this method to register a bean of type `DataAccessStrategy` if your use case requires a more specialized `DataAccessStrategy`.

Overrides:
  `dataAccessStrategyBean` in class `AbstractJdbcConfiguration`
Returns:
  will never be null.